Bug 189704 - Cannot install/config Python 2.x or 3.x platforms on NB 8.0.x (Since NB 6.9.1)
Cannot install/config Python 2.x or 3.x platforms on NB 8.0.x (Since NB 6.9.1)
Status: RESOLVED FIXED
Product: python
Classification: Unclassified
Component: Platform
8.0.2
PC All
: P2 (vote)
: 8.1
Assigned To: Lou Dasaro
issues@python
: PLATFORM, USABILITY
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 04:31 UTC by pmiddlet
Modified: 2015-05-18 06:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pmiddlet 2010-08-20 04:31:16 UTC
Summary: Netbeans 6.9.1, Mac OS 10.5.8 (Intel), Python 2.6 and 2.7 (attempted).

Attempted to utilize Python 2.7 (also tried 2.6) as an updated platform to 2.5.1. Distributions are both Mac .dmg's obtained from the official site. 

Installed Python 2.x on machine prior to attempting to integrate into NBs IDE. 

Procedure: 
1.Tools > Python Platforms

2. New
     2a. Pointed to /System/Library/Frameworks/Python.framework/Versions/2.5/Resources/Python.app as indicated by the dialog box. (expected to be able to go further to /Contents/MacOS/Python as in the 2.5.1 example, but could not go further). 
        --> Result, 'Invlaid Python type.' (yep, that's how it's spelled.) 

3. Attempted altering current platform name (2.5.1) and path to point to both the .../Python.app and .../Python.app/Contents/... as above in both cmd and console cmd inputs.
       -->Result: When attempting to start a new project with the new reference to 2.7, received warning in Python Platform dropdown box "must use valid..." etc etc. 

Have filtered through both the documentation and previous bugs and can't seem to get a handle on this one, so I can make neither a sound diagnosis of the problem nor provide a suggestion.
Comment 1 Lou Dasaro 2015-01-05 18:10:38 UTC
Message fixed in plugin built during build *201501050001* 
changeset: fe25f4486f70 in contrib
user: Lou Dasaro <mr_lou_d@netbeans.org>
log:#189704 - Fixed error message. More work remains to address issue.
Comment 2 Lou Dasaro 2015-05-18 03:22:55 UTC
I am unable to duplicate this error for Python 2.x in the latest development version. @Serhii, is this still a problem on the Mac using NetBeans IDE Dev (Build 201505170001 or later)?

Also, I still can't configure Python 3.x. To be assigned to the "Python 3 folks".
Comment 3 Lou Dasaro 2015-05-18 06:43:55 UTC
Upon further review, this bug has been fixed, changeset #7e8e41f35dc9, except that paths/to/platforms containing spaces will fail, but that is a different issue covered by Bug#155384


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo